Skip to main content
GET
/
v1
/
responses
Retrieve Responses
curl --request GET \
  --url https://api.sprig.com/v1/responses \
  --header 'Authorization: <authorization>'
{ "cursor": "cursor", "data": [ { "createdAt": "2023-10-19T17:04:26.253Z", "externalUserId": null, "questionId": 2, "questionText": "Consent / Legal Question", "questionType": "CONSENTLEGAL", "response": { "submitted": true }, "responseGroupUid": "9fa86a17-82b1-423a-979a-30ee35ada562", "surveyId": 1, "updatedAt": "2023-10-19T17:04:26.253Z", "visitorId": 0, "visitorUuid": "3b7b4806-c082-4f0c-a8f0-b869121f47cb" } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.sprig.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer YOUR_API_KEY

Query Parameters

start
integer

The earliest creation data for a generated theme to return, represented as milliseconds from epoch time

end
integer

The latest creation date for a generated theme to return, represented as milleseconds from epoch time

cursor
string

A Base64 encoded string representing an opaque cursor position

limit
integer

Specific number of results to return

Required range: 1 <= x <= 1000
sid
integer

An integer id for a specific Survey

with_snapshots
boolean

true/false(default). If true, the API will return visitorSnapshots, which contains all events, attributes, triggeringEvent, and eventProperties set for the visitor at the time of survey delivery.

with_urls
boolean

true/false (default). If true, the API will return the page URL from which the survey was taken.

with_meta
boolean

true/false (default). If true, the API will return the metadata JSON blob containing details available from the client.

with_custom_metadata
boolean

true/false (default). If true, the API will return any custom metadata associated with the response (applicable to link platform surveys only).

with_deleted_responses
boolean

true/false (default). If true, the API will return the responses that have been previously deleted.

Response

OK

cursor
string
Minimum string length: 1
data
object[]
Minimum array length: 1